TICKIT_WINDOW_GET_PEN(3)

NAME
tickit_window_get_pen, tickit_window_set_pen - manipulate the window's rendering pen

SYNOPSIS
    #include <tickit.h>

    TickitPen *tickit_window_get_pen(const TickitWindow *win);
    void tickit_window_set_pen(TickitWindow *win, TickitPen pen);

Link with -ltickit.

DESCRIPTION
tickit_window_get_pen() returns a pointer to the given window's pen instance. This pen instance is directly stored by the window. The application is permitted to modify this pen instance, though any modifications will not be observed until the window is next exposed for rendering.

tickit_window_set_pen() stores a new pointer for a pen instance into the given window. The window retains a reference to that pen and increments the reference count on it. Any previous pen is unreferenced first.

Because the window stores what may be one of many references to the pen instance, applications that do modify the pen should be careful that such modifications do not adversely affect other users of the same pen.

RETURN VALUE
tickit_window_get_pen() returns a pointer to a pen instance. tickit_window_set_pen() returns no value.

SEE ALSO
tickit_window_new(3), tickit_window_expose(3), tickit_window(7), tickit_pen(7), tickit(7)